Skip to main content

Create tunnel

POST
/tunnels

Contract

Parameter
Value
Sectiontunnels
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectTunnel to create
  • {
      "ID": 0,
      "activatedAt": "<string>",
      "agent": {
        "caps": [
          "<string>"
        ],
        "cores": 0,
        "createdAt": "<string>",
        "hostname": "<string>",
        "id": 0,
        "interfaces": [
          {
            "address": "<string>",
            "deviceId": "<string>",
            "driver": "<string>",
            "name": "<string>",
            "vendor": "<string>"
          }
        ],
        "ip": "<string>",
        "online": true,
        "port": 0,
        "synced": true,
        "updatedAt": "<string>",
        "version": "<string>"
      },
      "agentId": 0,
      "createdAt": "<string>",
      "description": "<string>",
      "issuer": {
        "agreementAccepted": true,
        "createdAt": "<string>",
        "deletedAt": "<string>",
        "email": "<string>",
        "group": {
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "id": 0,
          "issuer": {},
          "issuerID": 0,
          "name": "<string>",
          "permissions": [
            {}
          ],
          "updatedAt": "<string>",
          "users": [
            {}
          ]
        },
        "groupID": 0,
        "id": 0,
        "isActive": true,
        "isRequiredToSetPassword": true,
        "lastLogin": "<string>",
        "notificationsReadAt": "<string>",
        "passwordLength": 0,
        "realName": "<string>",
        "updatedAt": "<string>"
      },
      "issuerID": 0,
      "layers": [
        {
          "params": {
            "<key>": {}
          },
          "type": "<string>"
        }
      ],
      "name": "<string>",
      "serverAgent": {
        "caps": [
          "<string>"
        ],
        "cores": 0,
        "createdAt": "<string>",
        "hostname": "<string>",
        "id": 0,
        "interfaces": [
          {
            "address": "<string>",
            "deviceId": "<string>",
            "driver": "<string>",
            "name": "<string>",
            "vendor": "<string>"
          }
        ],
        "ip": "<string>",
        "online": true,
        "port": 0,
        "synced": true,
        "updatedAt": "<string>",
        "version": "<string>"
      },
      "serverAgentId": 0,
      "updatedAt": "<string>"
    }

Responses

4 responses

Status
Description
Type
200
Tunnel createdno body
400
Invalid tunnel layersobject
401
Unauthorizedobject
500
Invalid request body or record creation failedobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }